Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.texteditor.link
Class EditorLinkedModeUI

    java.lang.Object
      org.eclipse.jface.text.link.LinkedModeUI
          org.eclipse.ui.texteditor.link.EditorLinkedModeUI

public class EditorLinkedModeUI
extends LinkedModeUI

A `LinkedModeUI` that takes care of updating the focus editor's navigation history.

Since:
  3.0

Nested Class Summary

Nested classes inherited from class org.eclipse.jface.text.link.LinkedModeUI
`LinkedModeUI.ExitFlags, LinkedModeUI.IExitPolicy, LinkedModeUI.ILinkedModeUIFocusListener, LinkedModeUI.LinkedModeUITarget`

Field Summary

Fields inherited from class org.eclipse.jface.text.link.LinkedModeUI
`CYCLE_ALWAYS, CYCLE_NEVER, CYCLE_WHEN_NO_PARENT`

Constructor Summary
`EditorLinkedModeUI(LinkedModeModel model, ITextViewer viewer)`
`EditorLinkedModeUI(LinkedModeModel model, ITextViewer[] viewers)`
`EditorLinkedModeUI(LinkedModeModel model, LinkedModeUI.LinkedModeUITarget target)`
`EditorLinkedModeUI(LinkedModeModel model, LinkedModeUI.LinkedModeUITarget[] targets)`

Methods inherited from class org.eclipse.jface.text.link.LinkedModeUI
`enter, getSelectedRegion, setCyclingMode, setDoContextInfo, setExitPolicy, setExitPosition, setExitPosition, setPositionListener, setSimpleMode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EditorLinkedModeUI

    public EditorLinkedModeUI(LinkedModeModel model,
                              ITextViewer viewer)

Parameters:
  `model` -
  `viewer` -

### EditorLinkedModeUI

    public EditorLinkedModeUI(LinkedModeModel model,
                              ITextViewer[] viewers)

Parameters:
  `model` -
  `viewers` -

### EditorLinkedModeUI

    public EditorLinkedModeUI(LinkedModeModel model,
                              LinkedModeUI.LinkedModeUITarget target)

Parameters:
  `model` -
  `target` -

### EditorLinkedModeUI

    public EditorLinkedModeUI(LinkedModeModel model,
                              LinkedModeUI.LinkedModeUITarget[] targets)

Parameters:
  `model` -
  `targets` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.